Search detected secrets
Returns all secrets detected by Postman’s Secret Scanner, grouped by workspace or resource. If you pass an empty request body, this endpoint returns all results.
Authentication
Query parameters
The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.
The additional fields to be included as a part of the request:
meta.total— Include the total records found in themetaresponse object.
Return only results created since the given time, in ISO 8601 format. This value cannot be later than the until value. To use time-numoffset format, you must use %2B URL-encoding for the + character.
Return only results created until this given time, in ISO 8601 format. This value cannot be earlier than the since value. To use time-numoffset format, you must use %2B URL-encoding for the + character.
Request
If true, return secrets with a resolved status.
A list of secrets types to query. For a list of valid IDs, use the GET /secret-types endpoint.
A list of resources to query. If you use this query, you cannot also pass the workspaceIds query.
A list of workspaces IDs to query. If you use this query, you cannot also pass the resources query.
A list of workspace visibility settings to query. This currently supports the team and public settings.